CVE-2019-9193

Priority
Description
** DISPUTED ** In PostgreSQL 9.3 through 11.2, the "COPY TO/FROM PROGRAM"
function allows superusers and users in the 'pg_execute_server_program'
group to execute arbitrary code in the context of the database's operating
system user. This functionality is enabled by default and can be abused to
run arbitrary operating system commands on Windows, Linux, and macOS. NOTE:
Third parties claim/state this is not an issue because PostgreSQL
functionality for ‘COPY TO/FROM PROGRAM’ is acting as intended. References
state that in PostgreSQL, a superuser can execute commands as the server
user without using the ‘COPY FROM PROGRAM’.
Notes
mdeslaurupstream doesn't consider this to be a security issue. Marking
as not-affected
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):not-affected
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):not-affected
Ubuntu 14.04 ESM (Trusty Tahr):DNE (trusty was not-affected)
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):not-affected
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):not-affected
Ubuntu 18.04 LTS (Bionic Beaver):DNE
More Information

Updated: 2020-02-05 03:17:50 UTC (commit 33eecc947e5a5d8011f73d8a56dd2486b44db0fd)